| Home | Libraries | People | FAQ | More

## Struct template result<This(BidirectionalIterator)>

boost::proto::functional::prior::result<This(BidirectionalIterator)>

## Synopsis

    // In header: <boost/proto/functional/std/iterator.hpp>

    template<typename This, typename BidirectionalIterator>
    struct result<This(BidirectionalIterator)> {
      // types
      typedef typename boost::remove_const<
          typename boost::remove_reference<BidirectionalIterator>::type
        >::type type;
    };